X2Go Bug report logs - #827
hosted application doesn't support %i and %c in application exec param

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Jason Alavaliant <alavaliant@ra09.com>

Date: Thu, 19 Mar 2015 08:00:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.3.2

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#827: X2Go issue (in src:x2goclient) has been marked as pending for release
Reply-To: Mihai Moldovan <ionic@ionic.de>, 827-quiet@bugs.x2go.org
Resent-To: Jason Alavaliant <alavaliant@ra09.com>
X-Loop: owner@bugs.x2go.org
Resent-Date: Fri, 20 Mar 2015 04:40:03 +0000
Resent-Message-ID: <handler.827.U827.142682635625377@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 827
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: pending patch
Received: via spool by 827-submitter@bugs.x2go.org id=U827.142682635625377
          (code U ref 827); Fri, 20 Mar 2015 04:40:03 +0000
Received: (at 827-submitter) by bugs.x2go.org; 20 Mar 2015 04:39:16 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 608555DAA5; Fri, 20 Mar 2015 05:39:07 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 827-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 827@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150320043907.608555DAA5@ymir.das-netzwerkteam.de>
Date: Fri, 20 Mar 2015 05:39:07 +0100 (CET)
tag #827 pending
fixed #827 4.0.4.0
thanks

Hello,

X2Go issue #827 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3d57875

The issue will most likely be fixed in src:x2goclient (4.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 3d578752ed4de8f03673d22181952e798f4484ba
Author: Jason Alavaliant <alavaliant@ra09.com>
Date:   Fri Mar 20 05:37:38 2015 +0100

    onmainwindow.cpp: handle %i and %c format flags in desktop files correctly: remove the %i flag and replace %c with the application name. Fixes: #827.

diff --git a/debian/changelog b/debian/changelog
index db1aefd..f14053e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -254,6 +254,12 @@ x2goclient (4.0.4.0-0x2go1) UNRELEASED; urgency=low
   * New upstream release (4.0.4.0):
     - onmainwindow.cpp: fix desktop sharing via session broker. Fixes: #584.
 
+  [ Jason Alavaliant ]
+  * New upstream release (4.0.4.0):
+    - onmainwindow.cpp: handle %i and %c format flags in desktop files
+      correctly: remove the %i flag and replace %c with the application name.
+      Fixes: #827.
+
  -- X2Go Release Manager <git-admin@x2go.org>  Thu, 19 Feb 2015 13:25:28 +0100
 
 x2goclient (4.0.3.2-0x2go1) unstable; urgency=medium

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 20 02:01:09 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.